Subject: Re: bug#7943: closed (Re: bug#7943: white background is color #e5e5e5 in terminal window)

From: Warren Harris <[email-masked]>
Date: Sat, 12 Mar 2011 16:57:55 -0800

I disagree with the resolution of this bug. It is still unresolved.

On Sat, Mar 12, 2011 at 2:31 PM, GNU bug Tracking System <
[email-masked]> wrote:

> Your bug report
>
> #7943: 23.1; white background is color #e5e5e5 in terminal window
>
> which was filed against the emacs package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> --
> 7943: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7943
> GNU Bug Tracking System
> Contact [email-masked] with problems
>
>
> ---------- Forwarded message ----------
> From: Eli Zaretskii <[email-masked]>
> To: Warren Harris <[email-masked]>
> Date: Sun, 13 Mar 2011 00:30:47 +0200
> Subject: Re: bug#7943: white background is color #e5e5e5 in terminal window
> > From: Warren Harris <[email-masked]>
> > Date: Sat, 12 Mar 2011 13:46:57 -0800
> > Cc: Drew Adams <[email-masked]>, [email-masked]
> >
> > All I can say is the current behavior is quite annoying when more than 8
> > colors are available. Many colors have very low contrast against the
> grey90
> > background
>
> But that's the most white color that your terminal can produce.
> xterm.el doesn't _tell_ the terminal what color to produce for
> "white", it only _documents_ (sort of) what that color is, in terms of
> RGB components.
>
> > and there's no way I can see to set the background to brightwhite.
>
> I don't think you can, not for the background.  But I'm not an expert
> on xterm.
>
> > I guess I can try and hack my xterm.el
>
> I don't see how you can, but let us know if you find a way.
>
> I'm closing this bug.  Feel free to reopen if you find a way of making
> your white "whiter".
>
>
>
> ---------- Forwarded message ----------
> From: [email-masked] (Warren Harris)
> To: [email-masked]
> Date: Sun, 30 Jan 2011 10:58:57 -0800 (PST)
> Subject: 23.1; white background is color #e5e5e5 in terminal window
> I am running emacs in an Apple Terminal window while ssh'd to a Linux
> Ubuntu 10.04.1 system. My TERM is set to xterm-color. (Note that the Apple
> Terminal app only supports 8 colors.) All the colors are quite dingy
> looking, but in particular the background is color #e5e5e5 which on my
> computer is fairly dark and makes the text hard to read (particularly cyan
> or green text).
>
> Here's what list-colors-display shows:
>
> black                  black
>                   #000000
> red                    red
>                   #cd0000
> green                  green
>                   #00cd00
> yellow                 yellow
>                  #cdcd00
> blue                   blue
>                  #0000ee
> magenta                magenta
>                   #cd00cd
> cyan                   cyan
>                  #00cdcd
> white                  white
>                   #e5e5e5
>
> Note that others on the emacs mailing list have been able to reproduce this
> problem (even on a Windows system). See the thread "white is #e5e5e5"
> started Jan 23, 2011.
>
>
>
> In GNU Emacs 23.1.1 (x86_64-pc-linux-gnu, GTK+ Version 2.20.1)
>  of 2010-11-23 on yellow, modified by Debian
> configured using `configure  '--build=x86_64-linux-gnu'
> '--host=x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib'
> '--libexecdir=/usr/lib' '--localstatedir=/var/lib'
> '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes'
> '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim'
> '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars'
> 'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu'
> 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''
>
> Important settings:
>  value of $LC_ALL: nil
>  value of $LC_COLLATE: C
>  value of $LC_CTYPE: nil
>  value of $LC_MESSAGES: nil
>  value of $LC_MONETARY: C
>  value of $LC_NUMERIC: C
>  value of $LC_TIME: C
>  value of $LANG: en_US.UTF-8
>  value of $XMODIFIERS: nil
>  locale-coding-system: utf-8-unix
>  default-enable-multibyte-characters: t
>
> Major mode: Shell
>
> Minor modes in effect:
>  csv-field-index-mode: t
>  shell-dirtrack-mode: t
>  menu-bar-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  font-lock-mode: t
>  global-auto-composition-mode: t
>  auto-composition-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  line-number-mode: t
>  transient-mark-mode: t
>
> Recent input:
> SPC p u s h RET ESC [ ? 1 ; 2 c C-x 3 ESC [ 1 5 ~ ESC
> [ 1 7 ~ C-x C-b C-x o C-n C-n f C-x o C-c C-c C-c C-c
> C-r 1 6 7 7 SPC t p s C-r C-a C-n C-@ ESC > C-p C-p
> C-p C-a ESC w C-x o C-y C-x C-x C-g C-x e C-g C-x (
> ESC d C-d C-d ESC C-f ESC C-b ESC f C-k C-n C-a C-x
> ) C-u 8 8 8 8 C-x e C-x C-s ESC [ 1 5 ~ ESC v ESC v
> ESC v ESC v C-l C-p C-p C-p C-p C-p C-p C-p C-p C-p
> C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p
> C-p C-@ C-v C-x 1 C-n C-n C-n C-n C-n C-n C-n C-n C-n
> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
> ESC w C-x C-f ~ / s t a t . t x t RET C-y ESC v C-v
> ESC v ESC v C-x C-s ESC [ 1 5 ~ ESC [ 1 7 ~ ESC [ 1
> 5 ~ ESC > ESC p ESC p ESC p ESC p ESC p ESC p ESC p
> ESC p ESC n RET ESC v C-l C-p C-p C-p C-p C-p C-p C-p
> C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p
> C-p C-@ ESC > C-p C-p ESC w C-x C-f ESC DEL ESC DEL
> ESC DEL ESC DEL s t TAB a t 2 . t x t RET C-y ESC y
> C-x C-s ESC [ 1 5 ~ ESC v ESC v ESC x r e o DEL p o
> r t SPC e m a TAB RET
>
> Recent messages:
> History item: 8
> History item: 7
> Mark set
> Saved text from "260KB 792B     Total cache size
> 1       Number of "
> Making completion list...
> (New file)
> Mark set
> Saving file /home/warrenharris/stat2.txt...
> Wrote /home/warrenharris/stat2.txt
>
>
>
>